<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AndroidUnsupportedActions extends \Google\Protobuf\Internal\Message
{
    


    protected $allowed = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAllowed()
    {
        return isset($this->allowed) ? $this->allowed : false;
    }

    public function hasAllowed()
    {
        return isset($this->allowed);
    }

    public function clearAllowed()
    {
        unset($this->allowed);
    }

    




    public function setAllowed($var)
    {
        GPBUtil::checkBool($var);
        $this->allowed = $var;

        return $this;
    }

}

